org.apache.ignite.springdata22.repository.config

## Annotation Type RepositoryConfig

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
       @Documented
       @Inherited
      public @interface RepositoryConfig

  The annotation can be used to pass Ignite specific parameters to a bound repository.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `autoCreateCache` Auto create cache.
    `String` | `cacheName` Cache name string.
    `String` | `igniteCfg` Ignite cfg string.
    `String` | `igniteInstance` Ignite instance string.
    `String` | `igniteSpringCfgPath` Ignite spring cfg path string.

- - ### Element Detail

    - #### cacheName

          public abstract String cacheName

      Cache name string.
      Returns:
        A name of a distributed Apache Ignite cache an annotated repository will be mapped to.
      Default:
        ""

  - - #### igniteInstance

          public abstract String igniteInstance

      Ignite instance string. Default "igniteInstance".
      Returns:
        `Ignite` instance spring bean name
      Default:
        "igniteInstance"

  - - #### igniteCfg

          public abstract String igniteCfg

      Ignite cfg string. Default "igniteCfg".
      Returns:
        `IgniteConfiguration` spring bean name
      Default:
        "igniteCfg"

  - - #### igniteSpringCfgPath

          public abstract String igniteSpringCfgPath

      Ignite spring cfg path string. Default "igniteSpringCfgPath".
      Returns:
        A path to Ignite's Spring XML configuration spring bean name
      Default:
        "igniteSpringCfgPath"

  - - #### autoCreateCache

          public abstract boolean autoCreateCache

      Auto create cache. Default false to enforce control over cache creation and to avoid cache creation by mistake

      Tells to Ignite Repository factory wether cache should be auto created if not exists.

      Returns:
        the boolean
      Default:
        false

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020